import Slider, { SliderElement } from './Slider';
export interface FadeSliderElement extends SliderElement {
    timingFunction: string;
}
export declare const FADE_ATTRIBUTES: string[];
export default class Fade extends Slider implements FadeSliderElement {
    static observedAttributes: string[];
    get timingFunction(): string;
    attributeChangedCallback(name: string): void;
    connectedCallback(): void;
}
